require_dependency "hr_engine6/application_controller"

module HrEngine6
  class JobApplicationsController < ApplicationController
    before_action :set_job_application, only: [:show, :edit, :update, :destroy]

    # GET /job_applications
    # GET /job_applications.json
    def index
      @job_applications = HrEngine6::JobApplication.all
    end

    # GET /job_applications/1
    # GET /job_applications/1.json
    def show
    end

    # GET /job_applications/new
    def new
      @job_application = HrEngine6::JobApplication.new(hr_engine6_job_applicant_id: params[:applicant_id],
                                                       hr_engine6_job_listing_id: params[:listing_id])
    end

    # GET /job_applications/1/edit
    def edit
    end

    # POST /job_applications
    # POST /job_applications.json
    def create
      @job_application = HrEngine6::JobApplication.new(hr_engine6_job_applicant_id: params[:applicant_id],
                                                       hr_engine6_job_listing_id: params[:listing_id])

      respond_to do |format|
        if @job_application.save
          format.html { redirect_to @job_application, notice: 'İş başvurunuz başarıyla alındı.' }
          format.json { render :show, status: :created, location: @job_application }
        else
          format.html { render :new }
          format.json { render json: @job_application.errors, status: :unprocessable_entity }
        end
      end
    end

    # PATCH/PUT /job_applications/1
    # PATCH/PUT /job_applications/1.json
    def update
      respond_to do |format|
        if @job_application.update(job_application_params)
          format.html { redirect_to @job_application, notice: 'İş başvurusu başarıyla güncellendi.' }
          format.json { render :show, status: :ok, location: @job_application }
        else
          format.html { render :edit }
          format.json { render json: @job_application.errors, status: :unprocessable_entity }
        end
      end
    end

    # DELETE /job_applications/1
    # DELETE /job_applications/1.json
    def destroy
      @job_application.destroy
      respond_to do |format|
        format.html { redirect_to job_applications_url, notice: 'İş başvurusu başarıyla silindi.' }
        format.json { head :no_content }
      end
    end

    private
    # Use callbacks to share common setup or constraints between actions.
    def set_job_application
      @job_application = JobApplication.find(params[:id])
    end

    # Only allow a list of trusted parameters through.
    def job_application_params
      params.fetch(:job_application, {})
    end
  end

end
