require_dependency "hr_engine6/application_controller"

module HrEngine6
  class JobListingsController < ApplicationController
    before_action :set_job_listing, only: [:clientshow, :show, :edit, :update, :destroy]

    # GET /job_listings
    # GET /job_listings.json
    def index
      @job_listings = JobListing.all
    end

    def clientindex
      @job_listings = JobListing.all
    end

    # GET /job_listings/1
    # GET /job_listings/1.json
    def show
    end

    def clientshow
    end

    # GET /job_listings/new
    def new
      @job_listing = JobListing.new
    end

    # GET /job_listings/1/edit
    def edit
    end

    # POST /job_listings
    # POST /job_listings.json
    def create
      @job_listing = JobListing.new(job_listing_params)

      respond_to do |format|
        if @job_listing.save
          format.html { redirect_to @job_listing, notice: 'İş ilanı başarıyla oluşturuldu.' }
          format.json { render 'job_listings/clientshow', status: :created, location: @job_listing }
        else
          format.html { render :new }
          format.json { render json: @job_listing.errors, status: :unprocessable_entity }
        end
      end
    end

    # PATCH/PUT /job_listings/1
    # PATCH/PUT /job_listings/1.json
    def update
      respond_to do |format|
        if @job_listing.update(job_listing_params)
          format.html { redirect_to @job_listing, notice: 'İş başvurusu başarıyla güncellendi.' }
          format.json { render :'job_listings/clientshow', status: :ok, location: @job_listing }
        else
          format.html { render :edit }
          format.json { render json: @job_listing.errors, status: :unprocessable_entity }
        end
      end
    end

    # DELETE /job_listings/1
    # DELETE /job_listings/1.json
    def destroy
      @job_listing.destroy
      respond_to do |format|
        format.html { redirect_to job_listings_url, notice: 'İş başvurusu başarıyla silindi.' }
        format.json { head :no_content }
      end
    end

    private
    # Use callbacks to share common setup or constraints between actions.
    def set_job_listing
      @job_listing = JobListing.find(params[:id])
    end

    # Only allow a list of trusted parameters through.
    def job_listing_params
      params.require(:job_listing).permit(:title, :description, :qualifications)
    end
  end

end
